# Payment

### Create payment session

Create order at LemanPay and redirect shopper to invoice (**payment url**).\
This is private API endpoint and requires authentication.

{% openapi src="/files/rxYDgMmTYejqVrjMHdGE" path="/v2/merchant/Owner/payment" method="post" %}
[swagger PS LP.json](https://206635882-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F5vcuN4XkkpKzwidKsGCe%2Fuploads%2FKWoEyQFQVdg0FCUoSmcg%2Fswagger%20PS%20LP.json?alt=media\&token=42cd3034-88c7-495b-a75f-c5a9567b04d5)
{% endopenapi %}

### Get order details

{% openapi src="/files/rxYDgMmTYejqVrjMHdGE" path="/v2/merchant/Currencies/order/{orderId}" method="get" %}
[swagger PS LP.json](https://206635882-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F5vcuN4XkkpKzwidKsGCe%2Fuploads%2FKWoEyQFQVdg0FCUoSmcg%2Fswagger%20PS%20LP.json?alt=media\&token=42cd3034-88c7-495b-a75f-c5a9567b04d5)
{% endopenapi %}

### Get orders list

{% openapi src="/files/rxYDgMmTYejqVrjMHdGE" path="/v2/merchant/Owner/orders/{orderId}" method="get" %}
[swagger PS LP.json](https://206635882-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F5vcuN4XkkpKzwidKsGCe%2Fuploads%2FKWoEyQFQVdg0FCUoSmcg%2Fswagger%20PS%20LP.json?alt=media\&token=42cd3034-88c7-495b-a75f-c5a9567b04d5)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lemanpay.net/payment-api/rest-api/payment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
